Tspi_TPM_StirRandom(3)

TCG Software Stack Developer's Reference

NAME
Tspi_TPM_StirRandom - add entropy to the TPM random number generator

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_StirRandom(TSS_HTPM hTPM, UINT32 ulEntropyDataLength, BYTE* rgbEntropyData);

DESCRIPTION

Tspi_TPM_StirRandom adds entropy to the TPM random number generator for the purpose of generating better random numbers. The entropy variable should assigned an appropriately seeded random number before this function is called.

PARAMETERS

  hTPM
The hTPM parameter is used to specify the handle of the TPM object. The command to get the TPM to test itself will be sent here.

  ulEntropyDataLength
The ulEntropyDataLength parameter is the length in bytes of the rgbEntropyData parameter.

  rgbEntropyData
The rgbEntropyData parameter is a pointer to the entropy data.

RETURN CODES

Tspi_TPM_StirRandom returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_TPM_StirRandom conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_GetRandom(3).